## infinipath-psm 3.3%2B20.604758e7

=== debian/changelog ===
infinipath-psm (3.3+20.604758e7-6.4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:26:30 +0100

infinipath-psm (3.3+20.604758e7-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/fix-ftbfs-strlcat.patch: Don't implement strlcat as it's now
    available on glibc. Thanks to Jakub Wilk who arrived independently at
    the same solution. (Closes: #1071316)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 05 Apr 2025 17:16:55 -0400

infinipath-psm (3.3+20.604758e7-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the build date from SOURCE_DATE_EPOCH if set, falling back to
    current time. (Closes: #990862)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 06 Dec 2023 14:25:32 -0800

infinipath-psm (3.3+20.604758e7-6.2) unstable; urgency=medium

  * Non-maintainer upload
  * Work around FTBFS with gcc-12. Closes: #984057

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 16 Oct 2022 13:18:17 +0200

infinipath-psm (3.3+20.604758e7-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around FTBFS with gcc-10 (Closes: #957359)

 -- Paul Gevers <elbrus@debian.org>  Sun, 03 Jan 2021 08:42:58 +0100

infinipath-psm (3.3+20.604758e7-6) unstable; urgency=medium

  * Fix ftbfs with GCC-8 (Closes: #897774). Thanks to Reiner Herrmann
    for the patch.
    - add patch 0003-gcc8.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 29 Nov 2018 23:53:33 +0100

infinipath-psm (3.3+20.604758e7-5) unstable; urgency=medium

  * Fix postrm maintainer script to avoid leaving an unowned file
    (Closes: #886925) and add a postrm script to handle other cases.
    Thanks to Andreas Beckmann for filing the bugreport and putting
    relevant references in the bugreport.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 14 Jan 2018 11:29:47 +0100

infinipath-psm (3.3+20.604758e7-4) unstable; urgency=medium

  * Add myself to Uploaders
  * Run wrap-and-sort
  * Mark symbol ipath_dwordcpy_safe@Base as amd64 specific (Closes: #886359)
  * Provide libpsm_infinipath.so.1 as an alternative

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 04 Jan 2018 22:43:15 +0100

infinipath-psm (3.3+20.604758e7-3) unstable; urgency=medium

  * Make 'Debian HPC Team' new maintainer
  * Fix lintian warnings (copyright + Priority)
  * Add i386 specific symbols file

 -- Roland Fehrenbacher <rf@debian.org>  Thu, 04 Jan 2018 13:12:09 +0100

infinipath-psm (3.3+20.604758e7-1) unstable; urgency=medium

  * New upstream release (Add upstream fixes up to git commit 604758e).
  * Add patch for gcc 7 compilation (Closes: #853451).
  * Remove patches applied upstream.
  * Update Vcs-Git/Browser to point to new salsa.debian.org repo.
  * Update Standards-Version to 4.1.3, no changes required.
  * Update copyright file.

 -- Roland Fehrenbacher <rfehren@debian.org>  Fri, 29 Dec 2017 11:47:37 +0100

infinipath-psm (3.3+19.g67c0807.open-2) UNRELEASED; urgency=medium

  * Improve architecture detection. (Closes: #807149)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 04 Apr 2016 10:18:09 +0200

infinipath-psm (3.3+19.g67c0807.open-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add 0001-Initialize-variables.patch to fix -Werror=maybe-uninitialized
    errors.
  * Update symbols file.
  * Update Standards-Version to 3.9.7, no changes required.
  * Update Vcs-Browser to use HTTPS.
  * Add 0002-Fix-a-few-typos.patch fixing a few typo reported by lintian.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 01 Apr 2016 00:54:00 +0200

infinipath-psm (3.3+7.gec1d6d2-3) unstable; urgency=low

  * d/control: Make libpsm-infinipath1-dev conflict with libion-dev
  
  * Bug fix: "libpsm-infinipath1-dev and libion-dev: error when trying to
    install together", thanks to Ralf Treinen (Closes: #807300).

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 08 Dec 2015 15:36:24 +0100

infinipath-psm (3.3+7.gec1d6d2-2) unstable; urgency=medium

  * Add symbols file d/libpsm-infinipath1.symbols 

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 08 Dec 2015 13:20:59 +0000

infinipath-psm (3.3+7.gec1d6d2-1) unstable; urgency=low

  * Upstream integrated previous Debian patches

 -- Roland Fehrenbacher <rf@q-leap.de>  Mon, 07 Dec 2015 19:29:57 +0100

infinipath-psm (3.3+7.g05f6f14.open-2) unstable; urgency=low

  * Revert to xz compression

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 01 Dec 2015 12:38:18 +0100

infinipath-psm (3.3+7.g05f6f14.open-1) unstable; urgency=medium

  * Initial release. (Closes: #806524)

 -- Roland Fehrenbacher <rf@q-leap.de>  Sat, 28 Nov 2015 13:49:53 +0100
