=== debian/control ===
Source: infinipath-psm
Section: libs
Priority: optional
Maintainer: Debian OFED Infiniband packaging team <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Roland Fehrenbacher <rf@q-leap.de>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), uuid-dev
Standards-Version: 3.9.6
Homepage: https://www.openfabrics.org/downloads/infinipath-psm/
Vcs-Git: git://anonscm.debian.org/pkg-ofed/infinipath-psm.git -b debian/master
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/infinipath-psm.git

Package: libpsm-infinipath1
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PSM Messaging library for Intel Truescale adapters
 The PSM Messaging API, or PSM API, is Intel's (formerly QLogic's) low-level,
 user-level communication interface for the Truescale family of products. PSM
 users can use mechanisms necessary to implement higher-level communication
 interfaces in parallel environments.
 .
 This package contains the shared libraries.

Package: libpsm-infinipath1-dev
Section: libdevel
Architecture: amd64 i386
Depends: ${misc:Depends}, libpsm-infinipath1 (= ${binary:Version})
Conflicts: libion-dev
Description: Development files for libpsm-infinipath1
 The PSM Messaging API, or PSM API, is Intel's (formerly QLogic's) low-level,
 user-level communication interface for the Truescale family of products. PSM
 users can use mechanisms necessary to implement higher-level communication
 interfaces in parallel environments.
 .
 This package is needed to compile programs against libpsm-infinipath1.
 It contains the header files and links needed for compiling.

Package: libpsm-infinipath1-dbg
Section: debug
Priority: extra
Architecture: amd64 i386
Depends: ${misc:Depends}, libpsm-infinipath1 (= ${binary:Version})
Description: Debugging symbols for libpsm-infinipath1
 The PSM Messaging API, or PSM API, is Intel's (formerly QLogic's) low-level,
 user-level communication interface for the Truescale family of products. PSM
 users can use mechanisms necessary to implement higher-level communication
 interfaces in parallel environments.
 .
 This package contains the debugging symbols associated with
 libpsm-infinipath1. They will automatically be used by gdb for debugging
 libpsm-infinipath1-related issues.
