## infinipath-psm 3.3+19.g67c0807.open

=== debian/changelog ===
infinipath-psm (3.3+19.g67c0807.open-3) unstable; urgency=medium

  * Fix FTBFS in i386. (Closes: #832625).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Jul 2016 23:48:47 +0200

infinipath-psm (3.3+19.g67c0807.open-2) unstable; urgency=medium

  * Improve architecture detection. (Closes: #807149)
  * Add myself to Uploaders.
  * Fix FTBFS with gcc 6.0. (Closes: #811940)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Jul 2016 00:57:22 +0200
