=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian OFED Infiniband packaging team <pkg-ofed-devel@lists.alioth.debian.org>
-Uploaders: Roland Fehrenbacher <rf@q-leap.de>
+Uploaders: Roland Fehrenbacher <rf@q-leap.de>, Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), uuid-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://www.openfabrics.org/downloads/infinipath-psm/
 Vcs-Git: git://anonscm.debian.org/pkg-ofed/infinipath-psm.git -b debian/master
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/infinipath-psm.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ofed/infinipath-psm.git
 
 Package: libpsm-infinipath1
 Architecture: amd64 i386
