=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,13 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
+ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(ARCH),amd64)
+  ARCH := x86_64
+endif
+
 MAKE_OPTIONS := INSTALL_PREFIX=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-  PSM_HAVE_SCIF=0 USE_PSM_UUID=0 arch=$(shell arch) 
+  PSM_HAVE_SCIF=0 USE_PSM_UUID=0 arch=$(ARCH)
 
 %:
 	dh $@ --parallel
