=== debian/watch ===
version=3

https://www.openfabrics.org/downloads/infinipath-psm/infinipath-psm-(.*)\.(?:tar.gz|tar.bz2|tar.xz)
